/******************************************************************************
 * some macros and wrapper functions to make the switch between different
 * keyboard routines etc. easier
 * this is the conio version
 *****************************************************************************/

#ifndef _macros_h_
#define _macros_h_
#define ARROW_UP        328
#define ARROW_DOWN      336
#define CTRL_ARROW_UP   397
#define CTRL_ARROW_DOWN 401
#define ARROW_LEFT      331
#define ARROW_RIGHT     333
#define PG_DOWN         337
#define PG_UP           329
#define HOME            327
#define END             335
#define ESCAPE          27
#define DEL             339
#define INS             338



#define LASTDIFF        45
#define NEXTDIFF        43

#define UP              0
#define DOWN            1
#define SCROLL_BACK_COLOR   3
#define SCROLL_BLOCK_COLOR  1
#define SCROLL_END_COLOR    4
#define SAME_LINE_COLOR     10
#define DIFF_LINE_COLOR     7
#define FILENAME_COLOR      4
#define BORDER_COLOR        7
#define LINE_NUMBER_COLOR   4
#define SCROLL              0
#define JUMP                1
 #include <conio.h>

 extern int wait_key_press();

#endif
