/****************************************************************************
 * Base class Perror, by deriveing all the other classes from this one
 * a uniform error message handling is guaranteed.
 ***************************************************************************/
#ifndef _perror_h_
#define _perror_h_

#include <stdio.h>
#include "macros.h"
#include "screen.h"
#include "keyboard.h"

class Perror : public Screen, public Keyboard
{
    public:
        void perror(char *s); //this function prints an error message and exits
        void warning(char *s); //this function just prints an error message
        void message(char *s); // just prints a message on the top line of 
                               // the screen
};




#endif
