#include <stdio.h>
#include <stdlib.h>
#include <wham_all.h>


void my_wham_total_init();

int main()
{
    printf("try scrollbars\n");
    while(!kbhit());
    my_wham_total_init();
    while(keypressed()) readkey();
    BillWin *test = new BillWin(700,300,10,10,"root");
    test->resize_s_viewport(400,100);
    test->rescale(200,50);
    clear_to_color(test->bmp(),makecol(255,0,0));
    circle(test->bmp(),150,150,120,makecol(0,255,0));
    ScrollBar *s1 = new ScrollBar(test,TYPE_VERTICAL_SCROLLBAR);
    ScrollBar *s2 = new ScrollBar(test,TYPE_HORIZONTAL_SCROLLBAR);

    test->show();
    s1->show();
    s2->show();
    while(!key[KEY_ESC])
    {
        Wham_Secretary.process_mouse();
    }
}


void my_wham_total_init()
{
    allegro_init();
    install_timer();
    install_keyboard();
    install_mouse();
    if (set_gfx_mode(GFX_AUTODETECT,640,480,0,0))
    {
                    fatal("%s",allegro_error);
    }
    // build a nice palette
    RGB *c = new RGB;
    if (!c)
        out_of_mem("cannot create RGB struct");
    for (int r=0;r<6;r++)    
    for (int g=0;g<6;g++)
    for (int b=0;b<6;b++)
    {
        c->r = r*10;
        c->g = g*10;
        c->b = b*10;
        set_color(r + 6 * g +36 * b,c);
    }
    c->r = c->g = c->b =0;
    for (int i=166;i<251;i++)
        set_color(i,c);

    //white
    c->r = 63;
    c->g = 63;
    c->b = 63;
    set_color(251,c);
    //lgray
    c->r = 45;
    c->g = 45;
    c->b = 45;
    set_color(252,c);
    //gray
    c->r = 35;
    c->g = 35;
    c->b = 35;
    set_color(253,c);
    //dgray
    c->r = 25;
    c->g = 25;
    c->b = 25;
    set_color(254,c);
    //black
    c->r = 0;
    c->g = 0;
    c->b = 0;
    set_color(255,c);
    delete c;


    show_mouse(screen);




    WinSystem::InitialBufferSize = 40;  
    WinSystem::Buffer_Increment = 40;
    WinSystem::Buffered = FALSE;
    WinSystem::BackgroundColor= makecol(0,100,100);
    WinSystem::TheScreen = screen;
    WinSystem::Minimum_Size_x = 10;
    WinSystem::Minimum_Size_y = 10;
    WinSystem::UseBoxes = TRUE;
    BorderWin::RemapPalette = TRUE;
    BorderWin::DatafileName = "whamdat.dat";
    
    BorderWin::UpperBorderBitmap = NULL;
    BorderWin::LowerBorderBitmap = NULL;
    BorderWin::RightBorderBitmap = NULL;
    BorderWin::LeftBorderBitmap = NULL;
    BorderWin::UpperLeftCorner = NULL;
    BorderWin::UpperLeftCorner = NULL;
    BorderWin::UpperLeftCorner = NULL;
    BorderWin::UpperLeftCorner = NULL;



    WHAM = new WinSystem();
    if (!WHAM)
        out_of_mem("cannot create window manager");

    BillWin::Black_Color = whamgui_black_color = 255;
    BillWin::Dark_Color = Panel::Dark_Outline_Color  =whamgui_dark_color = 254;
    BillWin::Middle_Color = whamgui_middle_color = Panel::Background_Color  = 253;
    BillWin::Light_Color = whamgui_light_color = Panel::Light_Outline_Color = 252;
    BillWin::White_Color = whamgui_white_color = 251;
    BillWin::BorderSize = 2;
    BillWin::Border_Color = 253;
    FrameWin::Border_Color = 255;
    FrameWin::Title_Color = 251;
    FrameWin::Outline_Color = 252;




}
