#include <stdio.h>
#include "..\include\framewin.h"



int main()
{
    int x,y;
    allegro_init(); // initialise Allegro
    install_timer();     
    install_keyboard(); // install Allegro keyboard handle (to use readkey(), so I don't need getch())

    printf("now let's use real borders\n"
           "press a key...\n");
    readkey();


    install_mouse(); 
    set_gfx_mode(GFX_VGA,320,200,0,0);  // set graphics mode
    show_mouse(screen);  // turn on mouse cursor

    RGB *c = new RGB;
    // build a nice palette
    for (int r=0;r<6;r++)    
    for (int g=0;g<6;g++)
    for (int b=0;b<6;b++)
    {
        c->r = r*10;
        c->g = g*10;
        c->b = b*10;
        set_color(r + 6 * g +36 * b,c);
    }
    c->r = 63;
    c->g = 63;
    c->b = 63;
    set_color(255,c);

 // initialise WinSystem
    WinSystem::Buffered = TRUE; 
    WinSystem::ShadowStyle = WHAM_PATTERN_SHADOW; 
    WinSystem::ShadowColor = makecol(0,0,0); 

    FrameWin *the_window = new FrameWin(200,100,60,50,"Hello World");     // create a window
    FrameWin *the_other_window = new FrameWin(200,100,70,60,"Oh Hello");     // create a window

    clear(the_window->bmp());                           // clear the window
    clear(the_other_window->bmp());                           // clear the window
    textout_centre(the_window->bmp(),font,"Hello, World",100,50,15); // draw something to the window
    textout_centre(the_other_window->bmp(),font,"Oh, Hello, WHAM",100,50,15); // draw something to the window
    the_window->show();                                 // show the window on the screen
    the_other_window->show();                                 // show the window on the screen
    
    // wait for a keypress while letting WhamWin deal with the mouse
    while (!keypressed())
    {
        Wham_Secretary.process_mouse(&x,&y);
    }
    delete WHAM;                                        // cleanup wham
    return 0;
}
