#include <stdio.h>
#include <whaminit.h>


int main()
{
    allegro_init(); // initialise Allegro
    install_keyboard(); // install Allegro keyboard handler (to use readkey(), so I don't need getch())
    install_timer();     // needed for mouse
    set_gfx_mode(GFX_VGA,320,200,0,0);  // set graphics mode
    install_mouse();
    show_mouse(screen);
    
    wham_standardinit("../borders/wood.dat");
    
    BorderWin *the_window = new BorderWin(200,100,60,50,"example");     // create a window
    clear(the_window->bmp());                           // clear the window
    textout_centre(the_window->bmp(),font,"Hello, World",100,50,15); // draw something to the window
    the_window->show();                                 // show the window on the screen
    while(!keypressed())
        Wham_Secretary.process_mouse();
        return 0;
}
