/****************************************************************************
 * WHAM windowing system for Allegro & DJGPP                                *
 * Copyright 1997 Martijn Versteegh                                         *
 * WHAM is swapware                                                         *
 * that means if you use it you must send me something in return            *
 * If you use WHAM in a commercial product, 'something' should preferrable  *
 * be money. A program you made, a postcard or something like that will do  *
 * in most other cases.
 * I can be reached at                                                      *
 *  m.versteegh@cpedu.rug.nl                                                *
 *    or , if the above is expired                                          *
 *  vsteegh@dds.nl (my parents)                                             *
 *                                                                          *
 *  postbox 1443 9701BK Groningen, The Netherlands.                         *
 *                                                                          *
 *  Disclaimer:                                                             *
 *      I am not responsible for any effect this software may have on you,  *
 *      your properties or anything else connected to you.                  *
 *      Use it at your own risk.                                            *
 ****************************************************************************/
#ifndef _Wham_panel_h_
#define _Wham_panel_h_

#include <window.h>

class Panel : public Window
{

  public:

      // ADD CONSTRUCTORS & DESTRUCTORS IF NEEDED
      Panel(int size_x,int size_y,int pos_x,int pos_y,char *name);

      // this function handles the mouse for this class
      Wobject *process_mouse(int *x = NULL, int *y = NULL);
      static int Light_Outline_Color;
      static int Dark_Outline_Color;
      static int Background_Color;
  private:



};

#endif // end of headerfile
