#ifndef _txfile_h_
#define _txfile_h_

#define ATTRIB_CHAPTER  1
#define ATTRIB_KEYWORD  2

struct Toc_entry
{
    char *key;
    int line;
};


class TXfile
{
    public:
        TXfile(char *name);
        ~TXfile();
        char *get_line(int number);
        int get_attrib(int number);
        int get_toc_line(char *key);
        int get_toc_line(int key);
        int get_number_of_toc_entries();
        char *get_toc_entry(int nr);
    private:
        Toc_entry *Toc;
        int number_of_keys;
        char **the_file;
        int *attribute;
        int number_of_lines;
        char buffer[2048];

        void build_toc();
        void add_to_toc(char *word,int linenr);
        void find_end_of_word(char *s);

};

#endif
