#include <screensv.h>
#include <wversion.h>
#include <skeleton.inc>

static char screensaver_name[] = "Circle Rumble";

SCREENSAVER_MODULE
{
	 // initialise return checker ( get current mouse pos)
	returnchecker(-1);
	int x=0,y=0,vx=0,vy=0;
	int r=128,g=128,b=128, vr = 0,vg = 0,vb = 0;
	int srad = random() % 50 + 7;
	int rad = srad;
	int teller = 0;
	while(!returnchecker(0))
	{
		vx += random() % 5 - 2 ;
		vy += random() % 5 - 2 ;
		vx = MID(-10,vx,10);
		vy = MID(-10,vy,10);

		if (x > (SCREEN_W + rad)) 
		{
			x -=(SCREEN_W + rad +srad); rad= srad;
		}
		else if (x < - rad) 
		{
			x += (SCREEN_W + rad + srad); rad= srad;
		}
		if (y > (SCREEN_H + rad)) 
		{
			y -= (SCREEN_H + rad  + srad); rad= srad;
		}
		else if (y < - rad) 
		{
			y += (SCREEN_H + rad  + srad); rad= srad;
		}
		
		x += vx/2;
		y += vy/2;
		teller++;
		teller %= 3;
		if (!teller)
			rad++;
		vr += random() % 3 - 1;
		vg += random() % 3 - 1;
		vb += random() % 3 - 1;
		vr = MID(-10,vr,10);
		vg = MID(-10,vg,10);
		vb = MID(-10,vb,10);
		r += vr;
		g += vg;
		b += vb;
		if (r > 255 || r < 0) {vr = -vr ; r += 2* vr;}
		if (g > 255 || g < 0) {vg = -vg ; g += 2* vg;}
		if (b > 255 || b < 0) {vb = -vb ; b += 2* vb;}
		
		vsync();
		circle(screen,x ,y,rad-1,makecol(r,g,b));
		circle(screen,x ,y,rad-2,makecol(r,g,b));
		circle(screen,x ,y,rad-3,makecol(r,g,b));
		circle(screen,x ,y,rad-4,makecol(r,g,b));
		circle(screen,x ,y,rad-5,makecol(r,g,b));
		circle(screen,x ,y,rad-6,makecol(r,g,b));
		circle(screen,x ,y,rad-7,makecol(r,g,b));
		circle(screen,x ,y-1,rad-1,makecol(r,g,b));
		circle(screen,x ,y-1,rad-2,makecol(r,g,b));
		circle(screen,x ,y-1,rad-3,makecol(r,g,b));
		circle(screen,x ,y-1,rad-4,makecol(r,g,b));
		circle(screen,x ,y-1,rad-5,makecol(r,g,b));
		circle(screen,x ,y-1,rad-6,makecol(r,g,b));
		circle(screen,x ,y-1,rad-7,makecol(r,g,b));

//        circle(screen,x ,y ,rad,makecol(255-r,255-g,255-b));
		circle(screen, x, y, rad, makecol(0,0,0));
		rectfill(screen,(int)(x - rad/2),(int)(y - 2),(int)(x + rad/2), (int)(y + 2),makecol(0,0,0));
		rectfill(screen,(int)(x - 2),(int)(y+rad/2),(int)(x + 2),(int)(y-rad/2) ,makecol(r,g ,b));

	}


}

