#include "perror.h"


void Perror::perror(char *msg)
{

    unsigned length = strlen(msg);
    if (length < strlen("FATAL: ")) 
        length = strlen("FATAL: "); 
    box(1, 1, length + 2, 4, 5);
    print(2, 2, 15, "FATAL: ");
    print(2, 3, 15, msg);
    update(1,1,length + 2, 4);
    wait_key_pressed();
    remove_screen_now();
    exit(1);

}

void Perror::warning(char *msg)
{
    unsigned length = strlen(msg);
    if (length < strlen("WARNING: ")) 
        length = strlen("WARNING: "); 
    box(1, 1, length + 2, 4, 5);
    print(2, 2, 15, "WARNING: ");
    print(2, 3, 15, msg);
    update(1, 1, length + 2, 4);
    wait_key_pressed();
}

void Perror::message(char *msg)
{

    unsigned length = strlen(msg);
    box(3, 4, length + 6, 6, 4);
    print(4, 5, 15, msg);
    update(3,4,length + 6, 6);

}
