#include <stdio.h>
#include "..\include\secretar.h"
#include "..\include\whamwin.h"
#include "..\include\bordered.h"
#include "..\include\frame.h"


int main()
{
    allegro_init(); // initialise Allegro
    install_timer();     
    install_keyboard(); // install Allegro keyboard handle (to use readkey(), so I don't need getch())

    printf("lets try frames, whamwin and borderwin mixed\n"
           "press a key...\n");
    readkey();


    install_mouse(); 
    set_gfx_mode(GFX_AUTODETECT,320,200,0,0);  // set graphics mode
    show_mouse(screen);  // turn on mouse cursor

    RGB 
     *c = new RGB;
    for (int r=0;r<6;r++)    
    for (int g=0;g<6;g++)
    for (int b=0;b<6;b++)
    {
        c->r = r*10;
        c->g = g*10;
        c->b = b*10;
        set_color(r + 6 * g +36 * b,c);
    }

 // initialise WinSystem
    WinSystem::Buffered = TRUE; 
    WinSystem::ShadowStyle = WHAM_SLOW_SHADOW; 
    WinSystem::ShadowColor = 100; 
    WinSystem::ShadowSize = 10; 
    BorderWin::DatafileName = "../borders/bright.dat";
    BorderWin::RemapPalette = TRUE;


    Frame *the_window = new Frame(200,100,60,50,"test");     // create a window
    WhamWin *the_other_window = new WhamWin(200,100,40,50,"test");     // create a window
    clear_to_color(the_other_window->bmp(),makecol(255,255,255));
    BorderWin *third_window = new BorderWin(200,100,40,50,"test");
    clear_to_color(third_window->bmp(),makecol(255,255,255));


    the_window->show();                                 // show the window on the screen
    the_other_window->show();                                 // show the window on the screen
    third_window->show();

    // wait for a keypress while letting WhamWin deal with the mouse
    while (!keypressed())
    {
        Wham_Secretary.process_mouse();
    }
    delete WHAM;                                        // cleanup wham
    return 0;
}
