

#include <stdlib.h>
#include <stdio.h>

#include "whamgui.h"
#include "bordered.h"




/* for the d_edit_proc() object */
char the_string[32] = "Change Me!";






/* callback function to specify the contents of the listbox */
char *listbox_getter(int index, int *list_size)
{
   static char *strings[] =
   {
	  "Zero",  "One",   "Two",   "Three", "Four",  "Five", 
	  "Six",   "Seven", "Eight", "Nine",  "Ten"
   };

   if (index < 0) {
	  *list_size = 11;
	  return NULL;
   }
   else
	  return strings[index]; 
}



DIALOG the_dialog[] =
{
   /* (dialog proc)     (x)   (y)   (w)   (h)   (fg)  (bg)  (key) (flags)  (d1)  (d2)  (dp) */
   { wham_d_clear_proc,      0,    0,    192,  172,  255,  0,    0,    0,       0,    0,    NULL },
   { wham_d_edit_proc,       80,   32,   512,  48,   255,  0,    0,    0,       16,   0,    the_string },
   { wham_d_button_proc,     80,   132,  160,  48,   255,  0,    't',  0,       0,    0,    "&Toggle Me" },
   { wham_d_list_proc,       360,  100,  206,  206,  255,  0,    0,    0,       0,    0,    listbox_getter },
   { wham_d_button_proc,     80,   400,  160,  48,   255,  0,    0,    D_EXIT,  0,    0,    "OK" },
   { wham_d_button_proc,     360,  400,  160,  48,   255,  0,    0,    D_EXIT,  0,    0,    "Cancel" },
   { NULL,              0,    0,    0,    0,    0,    0,    0,    0,       0,    0,    NULL }
};


/* index of the listbox object in the dialog array */
#define LISTBOX_OBJECT     3



int main()
{
   int ret;
   char buf1[80], buf2[80], buf3[80];

   /* initialise everything */
   allegro_init();
   install_keyboard(); 
   install_mouse();
   install_timer();

   printf("This examples demonstrates how to use wham_do_dialog.\n"
		  "press any key...");
   readkey();

   set_gfx_mode(GFX_AUTODETECT, 640, 480, 0, 0);
	show_mouse(screen);
   set_pallete(desktop_pallete);

   //init WHAM
	WinSystem::Buffered = TRUE; 
	WinSystem::ShadowStyle = WHAM_NO_SHADOW; 
	BorderWin::DatafileName = "../borders/wood.dat";
	BorderWin::RemapPalette = TRUE;

	BorderWin *the_window = new BorderWin(610,450,15,15,"Hello Gui");     // create a window



   /* do the dialog */
   ret = wham_do_dialog(the_dialog, -1, the_window);

   the_window->hide();
   /* and report the results */
   sprintf(buf1, "do_dialog() returned %d", ret);
   sprintf(buf2, "string is '%s'", the_string);
   sprintf(buf3, "listbox selection is %d", the_dialog[LISTBOX_OBJECT].d1);
   alert(buf1, buf2, buf3, "OK", NULL, 0, 0);
   delete WHAM;                                        // cleanup wham
   return 0;

   
}
