

#include <stdlib.h>
#include <stdio.h>

#include "whamgui.h"
#include "guicon.h"




/* for the d_edit_proc() object */
char the_string[32] = "Change Me!";






/* callback function to specify the contents of the listbox */
char *listbox_getter(int index, int *list_size)
{
   static char *strings[] =
   {
	  "Zero",  "One",   "Two",   "Three", "Four",  "Five", 
	  "Six",   "Seven", "Eight", "Nine",  "Ten"
   };

   if (index < 0) {
	  *list_size = 11;
	  return NULL;
   }
   else
	  return strings[index]; 
}



DIALOG the_dialog[] =
{
   /* (dialog proc)     (x)   (y)   (w)   (h)   (fg)  (bg)  (key) (flags)  (d1)  (d2)  (dp) */
   { wham_d_clear_proc,      0,    0,    192,  172,  255,  3,    0,    0,       0,    0,    NULL },
   { wham_d_edit_proc,       80,   32,   512,  48,   255,  3,    0,    0,       16,   0,    the_string },
   { wham_d_3dbutton_proc,     80,   132,  160,  48,   255,  3,    't',  0,       0,    0,    "&Toggle Me" },
   { wham_d_list_proc,       360,  100,  206,  206,  255,  3,    0,    0,       0,    0,    listbox_getter },
   { wham_d_3dbutton_proc,     80,   400,  160,  48,   255,  3,    0,    D_EXIT,  0,    0,    "OK" },
   { wham_d_3dbutton_proc,     360,  400,  160,  48,   255,  3,    0,    D_EXIT,  0,    0,    "Cancel" },
   { NULL,              0,    0,    0,    0,    0,    0,    0,    0,       0,    0,    NULL }
};

DIALOG the_dialog2[] =
{
   /* (dialog proc)     (x)   (y)   (w)   (h)   (fg)  (bg)  (key) (flags)  (d1)  (d2)  (dp) */
   { wham_d_clear_proc,      0,    0,    192,  172,  255,  3,    0,    0,       0,    0,    NULL },
   { wham_d_3dbox_proc,      10,    10,    200,  30,  255,  0,    0,    0,       0,    0,    NULL },
   { wham_d_3dbox_proc,      30,    130,    130,  130,  0,  0,    0,    0,       0,    0,    NULL },
   { wham_d_button_proc,     80,   400,  160,  48,   255,  3,    0,    D_EXIT,  0,    0,    "OK" },
   { wham_d_button_proc,     360,  400,  160,  48,   255,  3,    0,    D_EXIT,  0,    0,    "Cancel" },
   { NULL,              0,    0,    0,    0,    0,    0,    0,    0,       0,    0,    NULL }
};

/* index of the listbox object in the dialog array */
#define LISTBOX_OBJECT     3



int main()
{
   char buf1[80], buf2[80], buf3[80];

   /* initialise everything */
   allegro_init();
   install_timer();
   install_keyboard(); 
   install_mouse();
   printf("This examples demonstrates the possibilities of the GuiContainer class\n"
		  "press any key...\n");
   readkey();

   set_gfx_mode(GFX_AUTODETECT, 640, 480, 0, 0);
   show_mouse(screen);
   desktop_palette[1].r = 0;
   desktop_palette[1].g = 0;
   desktop_palette[1].b = 0;
   desktop_palette[2].r = 20;
   desktop_palette[2].g = 20;
   desktop_palette[2].b = 20;
   desktop_palette[3].r = 40;
   desktop_palette[3].g = 40;
   desktop_palette[3].b = 40;
   desktop_palette[4].r = 50;
   desktop_palette[4].g = 50;
   desktop_palette[4].b = 50;

   set_pallete(desktop_pallete);

   whamgui_black_color =  1;
   whamgui_dark_color =  2;
   whamgui_white_color =  0;
   whamgui_middle_color =  3;
   whamgui_light_color = 4;

   //init WHAM
	WinSystem::Buffered = TRUE; 
	WinSystem::ShadowStyle = WHAM_NO_SHADOW; 
	WinSystem::BackgroundColor = makecol(255,255,0);
	GuiContainer *the_window = new GuiContainer(610,450,15,15,"Hello Gui", the_dialog);     // create a window
	GuiContainer *the_window2 = new GuiContainer(610,450,65,15,"Hello Gui2", the_dialog2);     // create a window

	//start the dialog
	the_window->start();
	the_window->show();
	//start the dialog
	the_window2->start();
	the_window2->show();

	// wait til it's finished
	while(the_window->is_running() || the_window2->is_running())
	{
		Wham_Secretary.process_mouse();
	}


   /* and report the results */
   sprintf(buf1, "do_dialog() returned %d", the_window->get_closer_object());
   sprintf(buf2, "string is '%s'", the_string);
   sprintf(buf3, "listbox selection is %d", the_dialog[LISTBOX_OBJECT].d1);
   alert(buf1, buf2, buf3, "OK", NULL, 0, 0);

   sprintf(buf1, "do_dialog2() returned %d", the_window2->get_closer_object());
   sprintf(buf2, "string is '%s'", the_string);
   sprintf(buf3, "listbox selection is %d", the_dialog2[LISTBOX_OBJECT].d1);
   alert(buf1, buf2, buf3, "OK", NULL, 0, 0);

   delete WHAM;
   return 0;
}
