#include <stdio.h>
#include "..\include\whamwin.h"


int main()
{
    int x,y;
    allegro_init(); // initialise Allegro
    install_timer();     
    install_keyboard(); // install Allegro keyboard handle (to use readkey(), so I don't need getch())

    printf("add some shadow\n"
           "press a key...\n");
    readkey();


    install_mouse(); 
    set_gfx_mode(GFX_VGA,320,200,0,0);  // set graphics mode
    show_mouse(screen);  // turn on mouse cursor
    set_palette(desktop_palette);       // set palette
    
    
    
                    // initialise WinSystem
    WinSystem::Buffered = TRUE; 
    WinSystem::ShadowStyle = WHAM_SLOW_SHADOW; 

    WhamWin *the_window = new WhamWin(200,100,60,50,"Hello World");     // create a window
    WhamWin *the_other_window = new WhamWin(200,100,70,60,"Oh Hello");     // create a window

    clear(the_window->bmp());                           // clear the window
    clear(the_other_window->bmp());                           // clear the window
    textout_centre(the_window->bmp(),font,"Hello, World",100,50,15); // draw something to the window
    textout_centre(the_other_window->bmp(),font,"Oh, Hello, WHAM",100,50,15); // draw something to the window
    the_window->show();                                 // show the window on the screen
    the_other_window->show();                                 // show the window on the screen
    
    // wait for a keypress while letting WhamWin deal with the mouse
    while (!key[KEY_ESC])
    {
        Wham_Secretary.process_mouse(&x,&y);
    }
    delete WHAM;                                        // cleanup wham
    return 0;
}
