#include <stdio.h>
#include "..\include\framewin.h"

void menu(Wobject *win)
{
    GeoInfo const *g = win->get_geometric_info();
    int pos_x = MIN(g->pos_x + g->screen_size_x - 100,WHAM->get_TheScreen_size_x() - 100);
    int pos_y = MIN(g->pos_y ,WHAM->get_TheScreen_size_y() - 12);
    pos_x = MAX(pos_x,0);
    pos_y = MAX(pos_y,0);
    int x,y,flag;
    Window *Menu = new Window("menu",100,12,pos_x,pos_y);
    Window * the_win;
    clear_to_color(Menu->bmp(),makecol(0,0,0));
    rect(Menu->bmp(),0,0,99,11,makecol(255,255,255));
    w_textout(Menu->bmp(),font,"Menu", 3,3,makecol(255,255,255),-1);
    Menu->show();
    while (mouse_b & 1);
    int selection = 0;
    while (!(mouse_b & 1) && !keypressed())
    {
        the_win =(Window *)WHAM->process_coordinates(mouse_x,mouse_y,&x,&y,&flag);
        if (the_win == Menu && !selection)
        {
            selection = TRUE;
            w_textout(Menu->bmp(),font,"Menu", 3,3,makecol(255,0,0),-1);
            Menu->update();
        }
        if (the_win != Menu && selection)
        {
            selection = FALSE;
            w_textout(Menu->bmp(),font,"Menu", 3,3,makecol(255,255,255) ,-1);
            Menu->update();
        }
    }
    delete Menu;
}



int main()
{
    int x,y;
    allegro_init(); // initialise Allegro
    install_timer();     
    install_keyboard(); // install Allegro keyboard handle (to use readkey(), so I don't need getch())

    printf("lets add a menu systembox\n"
           "and try another shadow mode\n"
           "press a key...\n");
    readkey();


    install_mouse(); 
    set_gfx_mode(GFX_VGA,320,200,0,0);  // set graphics mode
    show_mouse(screen);  // turn on mouse cursor

    RGB *c = new RGB;
    for (int r=0;r<6;r++)    
    for (int g=0;g<6;g++)
    for (int b=0;b<6;b++)
    {
        c->r = r*10;
        c->g = g*10;
        c->b = b*10;
        set_color(r + 6 * g +36 * b,c);
    }

 // initialise WinSystem
    WinSystem::Buffered = TRUE; 
    WinSystem::ShadowStyle = WHAM_SIMPLE_SHADOW; 
    WinSystem::ShadowColor = makecol(0,0,0); 
    // make a bitmap for a systembox
    BITMAP *bmp = create_bitmap(10,10);
    clear(bmp);
    rect(bmp,0,0,9,9,15);
    textout(bmp,font,"M",2,2,15);
    FrameWin::add_system_box(bmp,menu);

    FrameWin *the_window = new FrameWin(200,100,60,50,"Hello World");     // create a window
    FrameWin *the_other_window = new FrameWin(200,100,70,60,"Oh Hello");     // create a window

    clear(the_window->bmp());                           // clear the window
    clear(the_other_window->bmp());                           // clear the window
    textout_centre(the_window->bmp(),font,"Hello, World",100,50,15); // draw something to the window
    textout_centre(the_other_window->bmp(),font,"Oh, Hello, WHAM",100,50,15); // draw something to the window
    the_window->show();                                 // show the window on the screen
    the_other_window->show();                                 // show the window on the screen
    
    // wait for a keypress while letting WhamWin deal with the mouse
    while (!keypressed())
    {
        Wham_Secretary.process_mouse(&x,&y);
    }
    delete WHAM;                                        // cleanup wham
    return 0;
}
