/****************************************************************************
 * WHAM windowing system for Allegro & DJGPP                                *
 * Copyright 1997 Martijn Versteegh                                         *
 * WHAM is swapware                                                         *
 * that means if you use it you must send me something in return            *
 * If you use WHAM in a commercial product, 'something' should preferrable  *
 * be money. A program you made, a postcard or something like that will do  *
 * in most other cases.
 * I can be reached at                                                      *
 *  m.versteegh@cpedu.rug.nl                                                *
 *    or , if the above is expired                                          *
 *  vsteegh@dds.nl (my parents)                                             *
 *                                                                          *
 *  postbox 1443 9701BK Groningen, The Netherlands.                         *
 *                                                                          *
 *  Disclaimer:                                                             *
 *      I am not responsible for any effect this software may have on you,  *
 *      your properties or anything else connected to you.                  *
 *      Use it at your own risk.                                            *
 ****************************************************************************/
#ifndef _Wham_frame_h_
#define _Wham_frame_h_

#include "helpers.h"
#include <wobject.h>

class Frame : public Wobject
{

  public:

      // ADD CONSTRUCTORS & DESTRUCTORS IF NEEDED
      Frame(int size_x,int size_y,int pos_x,int pos_y,char *name);

      // this function handles the mouse for this class
      Wobject *process_mouse(int *x = NULL, int *y = NULL);
  private:

      void draw(BITMAP *onto,int from_x, int from_y, int to_x, int to_y);

      //IF BORDERS ARE NOT NEEDED REMOVE LINE BELOW, AND CHANGE CONSTRUCTOR
      static int draw_border(BITMAP *onto, Wobject *the_object,int from_x, int from_y, int to_x, int to_y);

};

#endif // end of headerfile
