/****************************************************************************
 * WHAM windowing system for Allegro & DJGPP                                *
 * Copyright 1997 Martijn Versteegh                                         *
 * WHAM is swapware                                                         *
 * that means if you use it you must send me something in return            *
 * If you use WHAM in a commercial product, 'something' should preferrable  *
 * be money. A program you made, a postcard or something like that will do  *
 * in most other cases.
 * I can be reached at                                                      *
 *  m.versteegh@cpedu.rug.nl                                                *
 *    or , if the above is expired                                          *
 *  vsteegh@dds.nl (my parents)                                             *
 *                                                                          *
 *  postbox 1443 9701BK Groningen, The Netherlands.                         *
 *                                                                          *
 *  Disclaimer:                                                             *
 *      I am not responsible for any effect this software may have on you,  *
 *      your properties or anything else connected to you.                  *
 *      Use it at your own risk.                                            *
 ****************************************************************************/

#define SCREENSAVER_MODULE  void (*putpixel)(BITMAP *,int,int,int);\
                            BITMAP *screen;\
                            int (*getpixel)(BITMAP *bmp,int,int);\
                            void (*circle)(BITMAP *bitmap,int x, int y, int r, int c);\
                            void (*circlefill)(BITMAP *bitmap,int x, int y, int r, int c);\
                            void (*rect)(BITMAP *bitmap,int x, int y, int x2,int y2, int c);\
                            void (*rectfill)(BITMAP *bitmap,int x, int y, int x2,int y2, int c);\
                            int  (*makecol)(int,int,int);\
                            BITMAP *(*create_bitmap)(int,int);\
                            void (*destroy_bitmap)(BITMAP *bitmap);\
                            void (*clear_to_color)(BITMAP *,int);\
                            void (*blit)(BITMAP *, BITMAP *, int, int, int, int, int, int);\
                            void (*stretch_blit)(BITMAP *, BITMAP *, int, int, int, int, int, int, int, int);\
                            long (*random)();\
                            void (*ttrace)(char *format,...);\
                            int (*returnchecker)(int init);\
                            void (*vsync)();\
                            int (*getr)(int col);\
                            int (*getg)(int col);\
                            int (*getb)(int col);\
                            void screensaver();\
                            void (*line)(BITMAP *,int x1,int y1,int x2,int y2,int color);\
                            int SCREEN_W;\
                            int SCREEN_H;\
                            void init(COMMSTRUCT *comm)\
                            {\
                                putpixel = comm->putpixel;\
                                getpixel = comm->getpixel;\
                                circlefill = comm->circlefill;\
                                circle = comm->circle;\
                                rect = comm->rect;\
                                rectfill = comm->rectfill;\
                                makecol = comm->makecol;\
                                create_bitmap = comm->create_bitmap;\
                                destroy_bitmap = comm->destroy_bitmap;\
                                clear_to_color = comm->clear_to_color;\
                                blit = comm->blit;\
                                stretch_blit = comm->stretch_blit;\
                                screen = comm->screen;\
                                returnchecker = comm->returnchecker;\
                                getr = comm->getr;\
                                getg = comm->getg;\
                                getb = comm->getb;\
                                SCREEN_W = comm->screen_w;\
                                SCREEN_H = comm->screen_h;\
                                random = comm->random;\
                                ttrace = comm->ttrace;\
                                vsync = comm->vsync;\
                                line = comm->line;\
                                comm->screensaver = screensaver;\
                            }\
                            ENTRYSTRUCT entry = {init,VERSION_MAJOR,VERSION_MINOR,screensaver_name};\
                            void screensaver()


#define MIN(x,y)     (((x) < (y)) ? (x) : (y))
#define MAX(x,y)     (((x) > (y)) ? (x) : (y))
#define MID(x,y,z)   MAX((x), MIN((y), (z)))

