/* Copyright (C) 1995 Charles Sandmann (sandmann@clio.rice.edu)
   This software may be freely distributed with above copyright, no warranty.
   Based on code by DJ Delorie, it's really his, enhanced, bugs fixed. */

/* Added #ifdef __cplusplus  wrapper, Martijn Versteegh 1998 */

#ifdef __cplusplus
	extern "C" {
#endif

typedef struct {
  long magic;
  long symbol_offset;
  long element_size;
  long nrelocs;
} dxe_header;

#define DXE_MAGIC 0x31455844

/* data stored after dxe_header in file; then relocs, 4 bytes each */

void *_dxe_load(char *filename);

#ifdef __cplusplus
	} // extern "C"
#endif

